/*---
 * caliop2ascii
 *
 * Copyright (c) 2007-2012 by
 *
 * Francois Thieuleux (francois dot thieuleux at univ-lille1 dot fr)
 * Fabrice Ducos (fabrice dot ducos at univ-lille1 dot fr)
 *
 * Laboratoire d'Optique Atmospherique
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * ---*/

#ifndef CALIOP2ASCII_H
#define CALIOP2ASCII_H

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE 1
#endif

/**/
#define C_OFFSET 0
#define FORTRAN_OFFSET 1
 
#define OUTPUT_FORMAT_MAXLEN 32

/* Size of date/time in Lidar Metadata Record */
#define DATE_LENGTH 27

#define DEFAULT_TIME_FORMAT "%H:%M:%S"
#define DEFAULT_DATE_FORMAT "%F"

/* External functions prototypes */
extern char *strcasestr(const char *haystack, const char *needle);

/* Functions prototypes */
static int usage(int status);
static int examples(int status);

time_t my_timegm (struct tm *tm);

/* Read arguments passed through command line                           */
static int decodeargs(int *argc, char **argv[], ARGS *ptr_args);

int  get_caliop_file_nb_record(const char *file);

float get_caliop_file_node_longitude(const char *file, int flag_start_stop);

double get_caliop_file_first_time(const char *file);
double get_caliop_file_last_time(const char *file);
double get_caliop_file_node_time(const char *file);

#endif /* CALIOP2ASCII_H */
