/* ================== Doxygen Comment ======================================= */
/**
       \file
       \brief This module contains some usual functions declarations to handle dates.


  TEAM_UNIQUE HEADER:

       Equipe Interaction Rayonnement Nuages - Laboratoire d'Optique Atmospherique
       Universite des Sciences et Technologies de Lille, Villeneuve d'Ascq

  PROGRAMMERS:

       Jerome Riedi  (jerome dot riedi at univ-lille1 dot fr)
       Francois Thieuleux (francois dot thieuleux at univ-lille1 dot fr)

  CORRESPONDING AUTHOR

       Jerome Riedi  (jerome dot riedi at univ-lille1 dot fr)

  REFERENCES AND CREDITS

       This work has been supported by USTL, CNRS and CNES.
       All credits go to Laboratoire d'Optique Atmospherique (USTL)

  COPYRIGHT (c) 2004-2012 by 

       Laboratoire d'Optique Atmospherique (UMR8518 CNRS/USTL)
       Batiment P5, USTL
       59 655 Villeneuve d'Ascq Cedex
       FRANCE
       http://www-loa.univ-lille1.fr

  LICENSE

       This program is free software; you can redistribute it and/or
       modify it under the terms of the GNU General Public License
       as published by the Free Software Foundation; either version 2
       of the License, or any later version.

       This program is distributed in the hope that it will be useful,
       but WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
       GNU General Public License for more details.

       You should have received a copy of the GNU General Public License
       along with this program; if not, write to the Free Software Foundation,
       Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/
/* ================== Doxygen End Comment =================================== */
#ifndef H_COM_FCT_DATE_H
#define H_COM_FCT_DATE_H

/* ==== macros ============================================================== */
/* ==== constants =========================================================== */
/* ==== types =============================================================== */
/* ==== structures ========================================================== */
/* ==== internal public functions =========================================== */
/* ==== entry points ======================================================== */
extern int julday(int const mm, int const id, int const iyyy);
extern void caldat(int const julian, int *mm, int *id, int *iyyy);

extern int cds2jmahms(int cdsday,int cdsmsec,int *jour,int *mois,int *annee,int *heure,int *min,int *sec);

/* ==== public variables ==================================================== */
/* ==== inline public functions ============================================= */

#endif /* H_COM_FCT_DATE_H */
