/* ================== Doxygen Comment ======================================= */
/**
       \file
       \brief This module contains string management functions declarations 
              required in whole code.

  TEAM_UNIQUE HEADER:

       Equipe Interaction Rayonnement Nuages - Laboratoire d'Optique Atmospherique
       Universite des Sciences et Technologies de Lille, Villeneuve d'Ascq

  PROGRAMMERS:

       Jerome Riedi  (jerome dot riedi at univ-lille1 dot fr)
       Francois Thieuleux (francois dot thieuleux at univ-lille1 dot fr)

  CORRESPONDING AUTHOR

       Jerome Riedi  (jerome dot riedi at univ-lille1 dot fr)

  REFERENCES AND CREDITS

       This work has been supported by USTL, CNRS and CNES.
       All credits go to Laboratoire d'Optique Atmospherique (USTL)

  COPYRIGHT (c) 2004-2012 by 

       Laboratoire d'Optique Atmospherique (UMR8518 CNRS/USTL)
       Batiment P5, USTL
       59 655 Villeneuve d'Ascq Cedex
       FRANCE
       http://www-loa.univ-lille1.fr

  LICENSE

       This program is free software; you can redistribute it and/or
       modify it under the terms of the GNU General Public License
       as published by the Free Software Foundation; either version 2
       of the License, or any later version.

       This program is distributed in the hope that it will be useful,
       but WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
       GNU General Public License for more details.

       You should have received a copy of the GNU General Public License
       along with this program; if not, write to the Free Software Foundation,
       Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/
/* ================== Doxygen End Comment =================================== */
#ifndef H_COM_FCT_STRING_H
#define H_COM_FCT_STRING_H
/**
* @defgroup COM_FCT_string  Module COM_FCT_string
* \brief This module contains string management functions required in whole code.
*/
//@{

/* ==== macros ============================================================== */
/* ==== constants =========================================================== */
/* ==== types =============================================================== */
/* ==== structures ========================================================== */
/* ==== internal public functions =========================================== */
/* ==== entry points ======================================================== */

extern char *get_name_from_path(const char *pathname);

extern char **str_split(char *s, const char *ct, size_t *nb_tokens);
extern char *str_tolower(const char *ct);
extern char *str_toupper(const char *ct);

extern char *trim_whitespace_noident(char *str);
extern size_t trim_whitespace_ident(char *out, size_t len, const char *str);

extern char *ltrim(char *p);
extern char *rtrim(char *p);
extern char *trim(char *p);

extern void append_trailing_slash(char *dir);

//}@

/* ==== public variables ==================================================== */
/* ==== inline public functions ============================================= */

#endif /* H_COM_FCT_STRING_H */
