/*...............................................................................
 
  DESCRIPTION:
 
	This module contains some usual structures required in whole code.
 
  TEAM_UNIQUE HEADER:

        Equipe Interaction Rayonnement Nuages
        Laboratoire d'Optique Atmospherique
        Universite des Sciences et Technologies de Lille, Villeneuve d'Ascq
 
  PROGRAMMERS:

        Jerome Riedi  (jerome dot riedi at univ-lille1 dot fr)
 	Francois Thieuleux (francois dot thieuleux at univ-lille1 dot fr)
 
  REFERENCES AND CREDITS

        This work has been supported by USTL, CNRS and CNES.
        All credits go to Laboratoire d'Optique Atmospherique (USTL)
 
 ...............................................................................*/
/* --
Copyright (c) 2004-2012 by 

Jerome Riedi (jerome dot riedi at univ-lille1 dot fr)
Francois Thieuleux (francois dot thieuleux at univ-lille1 dot fr)

Laboratoire d'Optique Atmospherique
Batiment P5, USTL
59 655 Villeneuve d'Ascq Cedex
FRANCE
http://www-loa.univ-lille1.fr


This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

-- */
#ifndef COMMON_STRUCT_H
#define COMMON_STRUCT_H

/**
 * @defgroup common_struct  Module common_struct
 * \brief Commons structures
 **/
//@{

#define PATH_MAX 1024

/*
 * Data structure defined as argument for main program
 */
typedef struct ARGS
{
  int version;                                               /**/

  int verbose;                                               /**/
  int quiet;                                                 /**/

  int allsds;                                                /**/

  int debug;                                                 /**/

  int help;                                                  /**/

  int reverse_coord;                                         /**/

  char output_format[OUTPUT_FORMAT_MAXLEN+1];                /**/

  char time_format[MAX_STRING_LENGTH];                       /**/

  char date_format[MAX_STRING_LENGTH];                       /**/

  int resolution;                                            /**/

  int node_longitude;                                        /**/

  int language_offset;                                       /* Fortran array index offset */

  int record_index;                                          /**/
 
  int coord_polder;                                          /**/
  int coord_latlon;                                          /**/

  int decode_fcf;                                            /**/

  int coord_time;                                            /**/

  int coord_date;                                            /**/

  int min_line;                                              /* Minimal line index in the POLDER grid specified by user used to filter the display */
  int max_line;                                              /* Maximal line index in the POLDER grid specified by user used to filter the display */
  int min_column;                                            /* Minimal column index in the POLDER grid specified by user used to filter the display */
  int max_column;                                            /* Maximal column index in the POLDER grid specified by user used to filter the display */

  float min_latitude;                                        /* Minimal geographical latitude value specified by user used to filter the display */
  float max_latitude;                                        /* Maximal geographical latitude value specified by user used to filter the display */
  float min_longitude;                                       /* Minimal geographical longitude value specified by user used to filter the display */
  float max_longitude;                                       /* Maximal geographical longitude value specified by user used to filter the display */

  int attributes;                                            /**/
  int attributes_field;                                      /**/
  char attributes_fieldname[PATH_MAX];                       /**/

  int metadata;                                              /**/
  int metadata_field;                                        /**/
  char metadata_fieldname[PATH_MAX];                         /**/

  int time_format_is_set;                                    /**/
  int date_format_is_set;                                    /**/

} ARGS;

//}@

#endif	/* COMMON_STRUCT_H */
