/*---
 *
 * polder_geo
 *
 * Copyright (c) 2007-2012 by
 *
 * Francois Thieuleux (francois dot thieuleux at univ-lille1 dot fr)
 * Fabrice Ducos (fabrice dot ducos at univ-lille1 dot fr)
 *
 * Laboratoire d'Optique Atmospherique
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * ---*/

#ifndef POLDER_GEO_H
#define POLDER_GEO_H

/* */
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <string.h> /* memset */
#include <unistd.h> /* getopt */
#include <assert.h>
#include <libgen.h>

#ifndef M_PI
# define M_PI               3.14159265358979323846  /* pi */
#endif /* M_PI */

#define N_LINES_FULL_RESOLUTION 3240
#define N_LINES_MEDIUM_RESOLUTION 1080
#define N_LINES_LOW_RESOLUTION 360

#define N_COLUMNS_FULL_RESOLUTION 6480
#define N_COLUMNS_MEDIUM_RESOLUTION 2160
#define N_COLUMNS_LOW_RESOLUTION 720

#define POLDER_FULL_RESOLUTION 1
#define POLDER_MEDIUM_RESOLUTION 2
#define POLDER_LOW_RESOLUTION 3

/* returns 0 on success
 *
 * valid values for the 'res' argument are:
 * POLDER_FULL_RESOLUTION   (1)
 * POLDER_MEDIUM_RESOLUTION (2)
 * POLDER_LOW_RESOLUTION    (3)
 */
extern int latlon2ligcol_polder(float lat, float lon, int res, float *lig, float *col);
extern int ligcol2latlon_polder(float lig, float col, int res, float *lat, float *lon);

extern int NINT(double x);

#endif /* POLDER_GEO_H */
