#
#       \file .caliop2ascii/local.mk
#       \brief Environment system's dependent makefile's variable settings
#
#       This file aims to set system's dependent makefile's variable settings
#       such as external libraries directories, compilers and level of
#       optimization selected.
#
#       You should place it everywhere in your environment (for exemple in
#       in your ${HOME} directory; Main makefile suppose by default this file
#       is in ${HOME}/.caliop2ascii/local.mk; You can override this default value with
#       CONFIG macro passed to makefile at command line
#
#       To reduce file size, don't forget to remove unused lines in this template !
#
#       Copyright (c) 2004-2012 by
#
#       Jerome Riedi (jerome dot riedi at univ-lille1 dot fr)
#       Francois Thieuleux (francois dot thieuleux at univ-lille1 dot fr)
#
#       Laboratoire d'Optique Atmospherique
#       Batiment P5, USTL
#       59 655 Villeneuve d'Ascq Cedex
#       FRANCE
#       http://www-loa.univ-lille1.fr
#
#
#       This program is free software; you can redistribute it and/or
#       modify it under the terms of the GNU General Public License
#       as published by the Free Software Foundation; either version 2
#       of the License, or any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#

# C compiler ISO C99' norm compliant - Default value is gcc
#export CC=icc
#export CC=gcc
#export CC=xlc
# For backward compatibilty
#export CC=gcc-4.3
#export CC=gcc-4.2
#export CC=gcc-4.1
#export CC=gcc-3.4
#export CC=gcc-3.3

# Fortran compiler F2003 norm's compliant - Default value is g95
#export FC=ifort
#export FC=g95
#export FC=gfortran
#export FC=xlf

# Optimization level - Default value is production
#export OPT=aggressive
#export OPT=production
#export OPT=development
#export OPT=paranoid

# Archiver - Default value is compiler's dependent
# When using some special Intel's compilation directive, xiar becomes mandatory
#export AR=ar
#export AR=xiar

# Architecture's specific library directory
# access.icare.univ-lille1.fr
#export LIBRARY=-L/opt/intel/Compiler/11.0/074/lib/ia32

# HDFEOS library directory
#export HDFEOSLIBDIR=/usr/local/lib/hdfeos
#export HDFEOSLIBDIR=/usr/local/hdfeos/lib
#export HDFEOSLIBDIR=/DATA/LIENS/exploit/lib
#export HDFEOSLIBDIR=/usr/lib/hdfeos
#export HDFEOSLIBDIR=/opt/lib/hdfeos
#export HDFEOSLIBDIR=/usr/lib

# HDFEOS include directory
#export HDFEOSINCDIR=/usr/local/include/hdfeos
#export HDFEOSINCDIR=/usr/local/hdfeos/include
#export HDFEOSINCDIR=/DATA/LIENS/exploit/include
#export HDFEOSINCDIR=/usr/include/hdfeos
#export HDFEOSINCDIR=/opt/include/hdfeos
#export HDFEOSINCDIR=/usr/include

# HDF library directory
#export HDFLIBDIR=/usr/local/lib/hdf
#export HDFLIBDIR=/usr/local/hdf/lib
#export HDFLIBDIR=/DATA/LIENS/exploit/lib
#export HDFLIBDIR=/usr/lib/hdf
#export HDFLIBDIR=/opt/lib/hdf
#export HDFLIBDIR=/usr/lib

# HDF include directory
#export HDFINCDIR=/usr/local/include/hdf
#export HDFINCDIR=/usr/local/hdf/include
#export HDFINCDIR=/DATA/LIENS/exploit/include
#export HDFINCDIR=/usr/include/hdf
#export HDFINCDIR=/opt/include/hdf
#export HDFINCDIR=/usr/include

# ZLIB library directory
#export ZLIBLIBDIR=/usr/local/lib/zlib
#export ZLIBLIBDIR=/usr/local/zlib/lib
#export ZLIBLIBDIR=/DATA/LIENS/exploit/lib
#export ZLIBLIBDIR=/usr/lib/zlib
#export ZLIBLIBDIR=/opt/lib/zlib
#export ZLIBLIBDIR=/usr/lib

# ZLIB include directory
#export ZLIBINCDIR=/usr/local/include/zlib
#export ZLIBINCDIR=/usr/local/zlib/include
#export ZLIBINCDIR=/DATA/LIENS/exploit/include
#export ZLIBINCDIR=/usr/include/zlib
#export ZLIBINCDIR=/opt/include/zlib
#export ZLIBINCDIR=/usr/include

# JPEG library directory
#export JPEGLIBDIR=/usr/local/lib/jpeg
#export JPEGLIBDIR=/usr/local/jpeg/lib
#export JPEGLIBDIR=/DATA/LIENS/exploit/lib
#export JPEGLIBDIR=/usr/lib/jpeg
#export JPEGLIBDIR=/opt/lib/jpeg
#export JPEGLIBDIR=/usr/lib

# JPEG include directory
#export JPEGINCDIR=/usr/local/include/jpeg
#export JPEGINCDIR=/usr/local/jpeg/include
#export JPEGINCDIR=/DATA/LIENS/exploit/include
#export JPEGINCDIR=/usr/include/jpeg
#export JPEGINCDIR=/opt/include/jpeg
#export JPEGINCDIR=/usr/include

# SZIP library directory - Should be used solely if HDF library required it
#export SZIPLIBDIR=/usr/local/szip/lib
#export SZIPLIBDIR=/usr/local/lib/szip
#export SZIPLIBDIR=/DATA/LIENS/exploit/lib
#export SZIPLIBDIR=/usr/lib/szip
#export SZIPLIBDIR=/opt/lib/szip
#export SZIPLIBDIR=/usr/lib

# SZIP include directory
#export SZIPINCDIR=/usr/local/szip/include
#export SZIPINCDIR=/usr/local/include/szip
#export SZIPINCDIR=/DATA/LIENS/exploit/include
#export SZIPINCDIR=/usr/include/szip
#export SZIPINCDIR=/opt/include/szip
#export SZIPINCDIR=/usr/include

